Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.descriptor
Interface JspPropertyGroupDescriptor

    public interface JspPropertyGroupDescriptor

This interface provides access to the `<jsp-property-group>` related configuration of a web application.

The configuration is aggregated from the `web.xml` and `web-fragment.xml` descriptor files of the web application.

Since:
  Servlet 3.0

Method Summary
`java.lang.String` | `getBuffer()` Gets the value of the `buffer` configuration, which specifies the default size of the response buffer for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getDefaultContentType()` Gets the value of the `default-content-type` configuration, which specifies the default response content type for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getDeferredSyntaxAllowedAsLiteral()` Gets the value of the `deferred-syntax-allowed-as-literal` configuration, which specifies whether the character sequence `"#{"`, which is normally reserved for Expression Language (EL) expressions, will cause a translation error if it appears as a String literal in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getElIgnored()` Gets the value of the `el-ignored` configuration, which specifies whether Expression Language (EL) evaluation is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getErrorOnUndeclaredNamespace()` Gets the value of the `error-on-undeclared-namespace` configuration, which specifies whether an error will be raised at translation time if tag with an undeclared namespace is used in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.util.Collection<java.lang.String>` | `getIncludeCodas()` Gets the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.util.Collection<java.lang.String>` | `getIncludePreludes()` Gets the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getIsXml()` Gets the value of the `is-xml` configuration, which specifies whether any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor` will be treated as JSP documents (XML syntax).
`java.lang.String` | `getPageEncoding()` Gets the value of the `page-encoding` configuration, which specifies the default page encoding for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getScriptingInvalid()` Gets the value of the `scripting-invalid` configuration, which specifies whether scripting is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.lang.String` | `getTrimDirectiveWhitespaces()` Gets the value of the `trim-directive-whitespaces` configuration, which specifies whether template text containing only whitespaces must be removed from the response output of any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
`java.util.Collection<java.lang.String>` | `getUrlPatterns()` Gets the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`.

Method Detail

### getUrlPatterns

    java.util.Collection<java.lang.String> getUrlPatterns()

  Gets the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`

### getElIgnored

    java.lang.String getElIgnored()

  Gets the value of the `el-ignored` configuration, which specifies whether Expression Language (EL) evaluation is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `el-ignored` configuration, or null if unspecified

### getPageEncoding

    java.lang.String getPageEncoding()

  Gets the value of the `page-encoding` configuration, which specifies the default page encoding for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `page-encoding` configuration, or null if unspecified

### getScriptingInvalid

    java.lang.String getScriptingInvalid()

  Gets the value of the `scripting-invalid` configuration, which specifies whether scripting is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `scripting-invalid` configuration, or null if unspecified

### getIsXml

    java.lang.String getIsXml()

  Gets the value of the `is-xml` configuration, which specifies whether any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor` will be treated as JSP documents (XML syntax).

  Returns:
    the value of the `is-xml` configuration, or null if unspecified

### getIncludePreludes

    java.util.Collection<java.lang.String> getIncludePreludes()

  Gets the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`

### getIncludeCodas

    java.util.Collection<java.lang.String> getIncludeCodas()

  Gets the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`

### getDeferredSyntaxAllowedAsLiteral

    java.lang.String getDeferredSyntaxAllowedAsLiteral()

  Gets the value of the `deferred-syntax-allowed-as-literal` configuration, which specifies whether the character sequence `"#{"`, which is normally reserved for Expression Language (EL) expressions, will cause a translation error if it appears as a String literal in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `deferred-syntax-allowed-as-literal` configuration, or null if unspecified

### getTrimDirectiveWhitespaces

    java.lang.String getTrimDirectiveWhitespaces()

  Gets the value of the `trim-directive-whitespaces` configuration, which specifies whether template text containing only whitespaces must be removed from the response output of any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `trim-directive-whitespaces` configuration, or null if unspecified

### getDefaultContentType

    java.lang.String getDefaultContentType()

  Gets the value of the `default-content-type` configuration, which specifies the default response content type for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `default-content-type` configuration, or null if unspecified

### getBuffer

    java.lang.String getBuffer()

  Gets the value of the `buffer` configuration, which specifies the default size of the response buffer for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `buffer` configuration, or null if unspecified

### getErrorOnUndeclaredNamespace

    java.lang.String getErrorOnUndeclaredNamespace()

  Gets the value of the `error-on-undeclared-namespace` configuration, which specifies whether an error will be raised at translation time if tag with an undeclared namespace is used in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.

  Returns:
    the value of the `error-on-undeclared-namespace` configuration, or null if unspecified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.